﻿using Syncfusion.XForms.PopupLayout;
using System;
using System.Collections.Generic;
using System.Text;
using Xamarin.Forms;

namespace SFDataGrid
{
    class CustomBehavior : Behavior<ContentPage>
    {
        SfPopupLayout sfPopup;
        ViewModel viewModel;
        Button popupButton;
        protected override void OnAttachedTo(ContentPage bindable)
        {
            base.OnAttachedTo(bindable);
            this.sfPopup = bindable.FindByName<SfPopupLayout>("popupLayout");

            this.viewModel = bindable.FindByName<ViewModel>("ViewModel");
            this.popupButton = bindable.FindByName<Button>("clickToShowPopup");

            popupButton.Clicked += PopupButton_Clicked;

            sfPopup.Closed += SfPopup_Closed;
        }

        private void PopupButton_Clicked(object sender, EventArgs e)
        {
            viewModel.DisplayPopup = true;
        }

        private void SfPopup_Closed(object sender, EventArgs e)
        {
            viewModel.PopUpClosed();
        }

        protected override void OnDetachingFrom(ContentPage bindable)
        {
            base.OnDetachingFrom(bindable);
            popupButton.Clicked -= PopupButton_Clicked;
            sfPopup.Closed -= SfPopup_Closed;
        }
    }
}
