﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Collections.Specialized;
using System.ComponentModel;
using System.Text;
using System.Windows.Input;
using Xamarin.Forms;

namespace SFDataGrid
{
    public class ViewModel : NotificationObject
    {
        private string text;
        private bool displayPopup;

        private int pincode;
        public ICommand Clickevent
        {
            get;
            set;
        }

        
        public bool DisplayPopup
        {

            get
            {
                return displayPopup;
            }
            set
            {
                displayPopup = value;
                RaisePropertyChanged("DisplayPopup");
            }
        }

        public string Text
        {

            get
            {
                return text;
            }
            set
            {
                text = value;
                RaisePropertyChanged("Text");
            }
        }

        public void PopUpClosed()
        {
            this.Text ="Pincode value is : "+ pincode.ToString();
            this.DisplayPopup = false;
        }

        public ViewModel()
        {
            Clickevent = new Command(Clicked);
            DisplayPopup = false;   
        }

        public void Clicked(object sender)
        {
            var button = (sender as Button);
            pincode += int.Parse(button.Text);

        }
    }

    public class NotificationObject : INotifyPropertyChanged, INotifyCollectionChanged
    {
        public void RaisePropertyChanged(string propName)
        {
            if (this.PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(propName));
        }

        public event PropertyChangedEventHandler PropertyChanged;

        public void RaiseCollectionChanged(string propName)
        {
            if (this.CollectionChanged != null)
                this.CollectionChanged(this, new NotifyCollectionChangedEventArgs(NotifyCollectionChangedAction.Reset));
        }
        public event NotifyCollectionChangedEventHandler CollectionChanged;
    }
}
